Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.pool
Interface ObjectPoolMBean

All Superinterfaces:
  Component, ComponentSupportMBean, Loggable, Persistentable, java.io.Serializable

All Known Subinterfaces:
  ObjectPool, QueueThreadPoolMBean, SimpleConnectionPoolMBean, SimpleObjectPoolMBean, SimpleThreadPoolMBean

public interface ObjectPoolMBean
extends ComponentSupportMBean

the interface that want to expose to jmx

Author:
  Young Yang

Method Summary
`void` | `clear()` Clears any objects sitting idle in the pool, releasing any associated resources
`java.lang.String` | `getObjectClass()` get the pooled object's class type, it return by object pool's factory
`ObjectFactory` | `getObjectFactory()` get the factory use to create new instances
`int` | `getRest()` get the count of rest object
`int` | `getWorking()` get the count of working object

Methods inherited from interface org.huihoo.jfox.service.ComponentSupportMBean
`getObjectName, getProxyInstance`

Methods inherited from interface org.huihoo.jfox.service.Component
`destroy, getName, getState, init`

Methods inherited from interface org.huihoo.jfox.service.Loggable
`getLogger`

Method Detail

### clear

    public void clear()

  Clears any objects sitting idle in the pool, releasing any associated resources

### getObjectFactory

    public ObjectFactory getObjectFactory()

  get the factory use to create new instances

### getObjectClass

    public java.lang.String getObjectClass()

  get the pooled object's class type, it return by object pool's factory
  Returns:

### getWorking

    public int getWorking()

  get the count of working object
  Returns:

### getRest

    public int getRest()

  get the count of rest object
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD